<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Engine_Service_Iframely_Host_Socialengine extends Engine_Service_Iframely_Host
{
  protected $_baseUrl = 'https://services.socialengine.com/embed';

  protected $_testUrl = 'https://services.socialengine.com/embed';

  /**
   * Constructor
   *
   * @param array $options
   */
  public function __construct($options = array())
  {
      parent::__construct($options);
      $request = new Zend_Controller_Request_Http();
      if (!defined('_ENGINE_ADMIN_NEUTER'))
        $this->getHttpClient()->setHeaders('host', $request->getHttpHost());
  }
}
